Error de compilación con ios-charts - ios, swift, ios-frameworks, ios-charts

He seguido la guía aquí para instalar el marco de ios-charts comoel binario incorporado y el paso 3 de la guía me instruyen para construir el proyecto. La compilación falla instantáneamente como resultado de agregar el binario incrustado. He descargado la versión más reciente del framework, y se supone que es compatible con swift 3.

Estoy usando X-code 8 beta, y por lo tanto rápido 3. ¿Puede alguien señalarme en la dirección correcta?

enter image description here

Respuestas

2 para la respuesta № 1
  1. Descargar archivo zip con proyecto

  2. Constrúyelo

  3. En Xcode encuentra la carpeta del producto, encuentra el producto de Gráficos, muestra en el Buscador
  4. Abra su proyecto en xCode
  5. Arrastre y suelte el paquete (desde el paso 3) a su proyecto en xCode
  6. Configure la configuración de su proyecto: en Binarios incrustados, use "+" para agregar gráficos

0 para la respuesta № 2

1) Use CocoaPods (doc: https://cocoapods.org)

2) Agregue Gráficos a su archivo pod (doc: https://github.com/danielgindi/Charts)

Agregue "Gráficos" a su Podfile. "Gráficos" es el nombre de la biblioteca.

Para la compatibilidad con Realm, puede especificar la subespecificación en su Podfile de la siguiente manera:

pod "Gráficos / Reino"

Nota: pod "ios-charts" no es la biblioteca correcta, y se refiere a un> proyecto diferente por otra persona.


-1 para la respuesta № 3

Para Swift 3, debes ir con CocoaPods.

Escribir pod "Charts/Realm" esto instalará la versión exacta del pod para el gráfico, luego limpiará y compilará.


Menú